package com.yaoyicloud.render.test;

import static org.junit.Assert.assertTrue;

import java.io.FileInputStream;
import java.io.IOException;
import java.util.List;

import org.apache.poi.openxml4j.exceptions.InvalidFormatException;
import org.apache.poi.xwpf.usermodel.XWPFDocument;
import org.junit.Test;
import com.yaoyicloud.tools.DocxUtil;

public class TestDocxOperations {

    @Test
    public void testMergeDocx() throws IOException, InvalidFormatException {

        // 直接使用文件路径创建FileInputStream
        FileInputStream streamMerge = new FileInputStream("C:\\Users\\yyy\\dev\\yyc3\\easier-be\\temp\\560E3B64F6AB87FEC22EF84EDBC84272\\1930150383555809281_serviceProviderInfo.docx");
        FileInputStream stream1 = new FileInputStream("C:\\Users\\yyy\\dev\\yyc3\\easier-be\\temp\\560E3B64F6AB87FEC22EF84EDBC84272\\1930150383555809281_publicRecord.docx");
        FileInputStream stream2 = new FileInputStream("C:\\Users\\yyy\\dev\\yyc3\\easier-be\\temp\\560E3B64F6AB87FEC22EF84EDBC84272\\1930150383555809281_attachmentSection.docx");

        DocxUtil.mergeDocx(new XWPFDocument(streamMerge),
                List.of(new XWPFDocument(stream1),new XWPFDocument(stream2)),
                "C:\\Users\\yyy\\Desktop\\11.docx");

        assertTrue(true);
    }

}
